syms rho phi z V a b l V_0 epsilon DV D2V 
equation = rho*D2V + DV; 
equation = char(equation); 
disp('Potential difference') 
V = dsolve(equation,'V(a)=V_0','V(b)=0','rho'); 
V = simplify(V); 
pretty(V) 
cyl = [rho phi z]; 
var = [1 1/rho 1];  
disp('Electric field intensity') 
E = -grad(V,cyl,var);
pretty(E);
rho_s = epsilon*subs(E(1),rho,a); 
Q = rho_s*(2*pi*a*l); 
disp('Capacitance between two cylindrical capacitors') 
C = Q/V_0; 
pretty(C)


